Issue 22058

Summary: Horizontal ruler mismatch with page borders
Product: Writer Reporter: jvromans <jvromans>
Component: codeAssignee: AOO issues mailing list <issues>
Status: CONFIRMED --- QA Contact:
Severity: Trivial    
Priority: P4 CC: guido.pinkernell, issues
Version: OOo 1.1Keywords: oooqa
Target Milestone: ---   
Hardware: PC   
OS: Linux, all   
Issue Type: DEFECT Latest Confirmation in: ---
Developer Difficulty: ---
Attachments:
Description Flags
bugdoc none

Description jvromans 2003-11-03 13:27:39 UTC
- Open the Page format dialog
- Set the Page Margins to Zero.
- Click on TabPage Background and ignore the Print range warning
(Choose Yes).
- Click on Tab Page Border
- Set a border, and set the left and right borders to a non-zero value (e.g., 1
inch).
- Close the dialog with OK.

The page now has a usable area that offsets 1 inch from left and right, but the
 horizontal ruler still indicates the whole page width. Shifting the left
diabolo will indeed indent the text in the frame -- still with a one inch offset.

(Just a minor nuisance)
Comment 1 guido.pinkernell 2003-11-10 17:25:15 UTC
That's intended behaviour:

Page margins set the margins from "text area" to physical page edges.

Spacings to contents (in page borders) set the space between written
text and the borders of the "text area". The ruler measures the width
of the "text area".
Comment 2 guido.pinkernell 2003-11-10 17:25:38 UTC
.
Comment 3 jvromans 2003-11-10 19:23:55 UTC
I beg to differ. When moving the diabolo, an alignment guide appears
that moves with the diabolo. However, this guide is useless since it
does not indicate the actual location, so it cannot be used for
alignment. Therefore I think there's something wrong here.
Comment 4 guido.pinkernell 2003-11-10 19:42:25 UTC
I understand now. I have attached a file which shows abnormal
behaviour of the "diabolo" (small something in the ruler that
indicates the line indents), compared to a frame inserted into the
page where the "diabolo" shows as expected.

Reopened and bugdoc attached.
Comment 5 guido.pinkernell 2003-11-10 19:43:21 UTC
Created attachment 11127 [details]
bugdoc
Comment 6 guido.pinkernell 2003-11-10 19:44:37 UTC
and set to New.
Comment 7 h.ilter 2003-11-11 10:07:27 UTC
HI->OS: I think there is no reason why the behavior of the indent
marker should be different between a page and a frame.
Comment 8 ace_dent 2008-05-16 02:57:31 UTC
OpenOffice.org Issue Tracker - Feedback Request.

The Issue you raised has the status 'New' pending further action, but has not
been updated within the last 4 years. Please consider re-testing with one of the
latest versions of OOo, as the problem(s) may have already been addressed.
Either use the recent stable version: http://download.openoffice.org/index.html
or consider trying the new OOo 3 BETA (still in testing):
http://download.openoffice.org/3.0beta/
 
Please report back the outcome so this Issue may be Closed or Progressed as
necessary - otherwise it may be Resolved as Invalid in the future. You may also
wish to search for (and note) any duplicates of this Issue that may have
advanced further by checking the Issue Tracker:
http://www.openoffice.org/issues/query.cgi
 
Many thanks,
Andrew
 
Cleaning-up and Closing old Issues as part of:
~ The Grand Bug Squash, pre v3 ~
http://marketing.openoffice.org/3.0/announcementbeta.html
Comment 9 jvromans 2008-05-16 09:59:30 UTC
No changes -- Issue still stands.
Comment 10 traut 2010-10-18 16:08:53 UTC
As an annoying side effect:

Do create a page with an outer border, spaced e.g. 3 mm from the text area.

The ruler will start at the border, instead of the text area. Thus it alwasy
does lack those mm of spacing. The first tab at "1 cm" is just .7 cm from the
text border. You always will have to add the border spacing.
Comment 11 Marcus 2017-05-20 11:24:37 UTC
Reset assigne to the default "issues@openoffice.apache.org".
Comment 12 Marcus 2017-05-20 11:25:59 UTC
Reset assigne to the default "issues@openoffice.apache.org".